#ifndef __FCABackup_APPVIEW_H__
#define __FCABackup_APPVIEW_H__


#include <coecntrl.h>

class CFCABackupAppView : public CCoeControl
    {
public:
    static CFCABackupAppView* NewL(const TRect& aRect);
    static CFCABackupAppView* NewLC(const TRect& aRect);
    ~CFCABackupAppView();
    void PrintLineL(const TDesC& aText);

public: // from CoeControl
    TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);
    TInt CountComponentControls() const;
    CCoeControl* ComponentControl(TInt aIndex) const;

private:
    void ConstructL(const TRect& aRect);
    CFCABackupAppView();

private:
    CAknSingleStyleListBox* iListBox;
    CDesCArrayFlat* iMessageList;
    TInt iMsgIndex;
    HBufC*  iOutputText;
    };


#endif // __FCABackup_APPVIEW_H__
